Retrieve (via POST) driver stats

Retrieves driver stats for a time window: overlap-corrected hours worked, total GPS mileage, and mileage restricted to worked task-group intervals. | authz: allowed_org_types=[provider], min_org_role=operator | (DriverStatsReq) -> (DriverStatsRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

driver_idstringRequired

Request

This endpoint expects an object.
end_timestampdatetimeRequired
start_timestampdatetimeRequired
excluded_task_group_idslist of stringsOptional

Response

Successful Response
deduped_task_group_driver_hoursdouble

Summed from task group in-progress intervals merged to eliminate double-counting of overlapping task groups.

excluded_task_groupslist of objects
overlapping_task_groups_detectedboolean
task_groupslist of objects
deduped_task_group_driver_mileage_trackeddouble

Total mileage from pings that fall within task group in-progress merged intervals. i.e. excludes pings outside of merged task group time windows

self_reported_hours_and_mileagelist of objects
total_driver_mileage_trackeddouble
Total mileage recorded for this driver across all tracked pings that fall within the requested query window. Independent of task group filtering or deduplication. i.e. includes pings inside and outside of task group time windows

Errors

422
Drivers Get Stats V1request Unprocessable Entity Error